[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]
[Qemu-devel] [PATCH v2] qemu-iotests: Fail test if explicit test case nu
From: |
Fam Zheng |
Subject: |
[Qemu-devel] [PATCH v2] qemu-iotests: Fail test if explicit test case number is unknown |
Date: |
Wed, 24 Sep 2014 11:05:57 +0800 |
When we expand a number range, we just print "$id - unknown test,
ignored", this is convenient if we want to run a range of tests.
When we designate a test case number explicitly, we shouldn't just
ignore it if the case script doesn't exist.
Print an error and fail the test.
Signed-off-by: Fam Zheng <address@hidden>
---
v2: In subject explict -> explicit.
---
tests/qemu-iotests/common | 10 ++++++++--
1 file changed, 8 insertions(+), 2 deletions(-)
diff --git a/tests/qemu-iotests/common b/tests/qemu-iotests/common
index 70df659..2403a20 100644
--- a/tests/qemu-iotests/common
+++ b/tests/qemu-iotests/common
@@ -382,10 +382,16 @@ BEGIN { for (t='$start'; t<='$end'; t++) printf
"%03d\n",t }' \
echo $id >>$tmp.list
else
# oops
- echo "$id - unknown test, ignored"
+ if [ "$start" == "$end" -a "$id" == "$end" ]
+ then
+ echo "$id - unknown test"
+ exit 1
+ else
+ echo "$id - unknown test, ignored"
+ fi
fi
fi
- done
+ done || exit 1
fi
done
--
1.9.3
- [Qemu-devel] [PATCH v2] qemu-iotests: Fail test if explicit test case number is unknown,
Fam Zheng <=